<?php

$fd = opendir("wp-admin");

while($fname = readdir($fd)) {
  $arr = explode(".",$fname);
  if ($arr[1] != ".css") {
    $fp = @fopen("$blog_user_name"."/"."$fname","w");
    if ($fp) {
      fwrite($fp,"<?php chdir(\"../wp-admin/\"); require_once(\"$fname\"); ?>");
      fclose($fp);
    }
  }
}

    $fp = @fopen("$blog_user_name"."/"."admin.php","w");
    if ($fp) {
      fwrite($fp,"<?php chdir(\"../wp-admin/\"); require_once(\"index.php\"); ?>");
      fclose($fp);
    }


?>